#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size)
{
    uint16_t value;
    uint16_t eps = 1;
    uint16_t bound = 19723;

    if (size < sizeof(uint16_t))
        return TEPHRA_EXIT_FAILURE;

    memcpy(&value, data, sizeof(uint16_t));

    if (value <= (bound + eps))
        if ((bound - eps) <= value)
            BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
